Ir al contenido
Documentación de Endless

Get workspace inventory

POST
/reports/inventory

Get workspace inventory.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/reports/inventory" \  -H "Content-Type: application/json" \  -d '{    "organization_ids": "all"  }'
{  "workspaces": 0,  "seats": 0,  "users": 0,  "projects": 0,  "canvases": 0,  "skills": 0,  "connectors": 0,  "scheduled_tasks": 0,  "skills_by_source": [    {      "key": "string",      "count": 0    }  ]}